<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-12">
              <h4 class="page-title">Paid Withdrawal</h4>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">

                  <div class="row">
                      <div class="col-md-12">
                          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                              <div class="panel panel-default">
                                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                      <h4 class="panel-title">
                                          <a>
                                              <i class="more-less fa fa-plus"></i>
                                              <span class="searchbar_text_padding_left"> Search 
                                              </span>
                                          </a>
                                      </h4>
                                  </div>
                                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                                      <div class="panel-body">
                                          <div class="row">
                                              <div class="col-md-2 col_custom_padding">
                                                  <!-- <div class="form-group">
                                                      <label class="search_label">Order Date </label>
                                                      <input type="text" class="form-control" placeholder="Select Date">
                                                  </div> -->
                                                  <div class="form-group">
                                                    <label class="search_label">Payable Date </label>
                                                    <input type="text" class="form-control" placeholder="Enter Date" [(ngModel)]="payable_date">
                                                </div>
                                              </div>
                                               <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Amount </label>
                                                      <input type="text" class="form-control" placeholder="Enter Amount" [(ngModel)]="searchAmount">
                                                  </div>
                                              </div>
                                             <!-- <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Buyer </label>
                                                      <input type="text" class="form-control" placeholder="Enter Buyer Name">
                                                  </div>
                                              </div> -->
                                              <!-- <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Status</label>
                                                      <select class="form-control">
                                                          <option>Select from list</option>
                                                          <option>Paid</option>
                                                      </select>
                                                  </div>
                                              </div> -->
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="">
                                                      <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                      <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i class="fa fa-search"></i> Search</button>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>

                  <!-- <div class="custom_Search_panel">
                      <div class="row">
                          <div class="col-md-6">
                              <div class="search-box">
                                  <i class="glyphicon glyphicon-search"></i>
                                  <input type="text" id="myInput" class="form-control" placeholder="Search Here...">
                              </div>
                          </div>
                          <div class="col-md-6 text-right">
                              <div class="show_entries">
                                  <span class="show_text">Show</span>
                                  <select class="form-control">
                                      <option>10</option>
                                      <option>20</option>
                                      <option>30</option>
                                  </select> <span class="entries_text">entries</span>
                              </div>
                          </div>
                      </div>
                  </div> -->
                  <div class="row">
                      <div class="col-md-12">
                          <div class="table-responsive">
                              <!--KENDO GRID START-->

                <!--KENDO GRID START-->

                <kendo-grid [data]="withdrawal_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                [skip]="state.skip" (sortChange)="sortwithdrawal($event)" [filter]="state.filter"
                [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                (dataStateChange)="withdrawalDataStateChange($event)"
                (pageChange)="withdrawalpageChange($event)">

                <kendo-grid-column field="orderDate" title="PAYABLE DATE"
                  [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                  [style]="{'width':'100px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-left noPadding_xs">
                        <div>
                          {{index.created_date|date:'dd MMM yyyy'}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="amount" title="AMOUNT"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                  [style]="{'width':'100px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div>
                          {{index.fin_trans_dtl[0].amount | currency: 'INR':'symbol':'1.0-0'}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="transaction_id" title="TRANSACTION ID"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                  [style]="{'width':'100px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div>
                          {{index.razorpay_payment_no}}
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="acc_no" title="REMARK"
                  [headerStyle]="{'height':'40px','text-align':'center','width':'200px'}"
                  [style]="{'width':'200px'}">
                  <ng-template kendoGridCellTemplate let-index="dataItem">
                    <div class="row">
                      <div class="col-md-12 row_padding text-center noPadding_xs">
                        <div *ngIf="index.voucher_type.id==3">
                          Withdrawal against this {{index.order_no}} account
                        </div>
                        <div *ngIf="index.voucher_type.id==6 || index.voucher_type.id==7">
                          Payment against this {{index.order_no}} order
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </kendo-grid-column>
              </kendo-grid>
              <!--KENDO GRID-->
                             
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>